2019-12-07 09:17 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001732FSSCPFREDpublic2008-07-24 16:22
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001732: Using guardian on a ship that is destroyed before a mission = crash
DescriptionThis is one of those that's so trivial I want to smack myself for reporting it but since someone did it (not me) figured it might be a good idea.

If you use the ship-guardian sexp on a ship that is destroyed before the mission the game may crash at mission start and definitely will in debug mode.

Looks like the ship-guardian sexp checks to see if the ship is destroyed, departed, or hasn't arrived yet but has no way of knowing a ship is destroyed before the mission.
Additional InformationOriginal crash in TBP 3.6.9 but I made a test mission and confirmed in a recent 3.6.10 build.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009494

karajorma (administrator)

Fixed. It was a simply Int3() which shouldn't have been there since as we can see it is perfectly valid for the ship not be in-mission nor be on the parse arrival list.
+Notes

-Issue History
Date Modified Username Field Change
2008-07-22 02:41 FUBAR-BDHR New Issue
2008-07-22 02:41 FUBAR-BDHR File Added: DBM_Guardian.fs2
2008-07-24 14:31 karajorma Status new => assigned
2008-07-24 14:31 karajorma Assigned To => karajorma
2008-07-24 16:22 karajorma Status assigned => resolved
2008-07-24 16:22 karajorma Fixed in Version => 3.6.10
2008-07-24 16:22 karajorma Resolution open => fixed
2008-07-24 16:22 karajorma Note Added: 0009494
+Issue History